%global oname org.ops4j.master
Name:          ops4j-master
Version:       3.2.0
Release:       1%{?dist}
Summary:       OPS4J - Master POM
License:       ASL 2.0
URL:           http://team.ops4j.org/wiki/display/ops4j/Open+Participation+Software+for+Java
Source0:       https://github.com/ops4j/org.ops4j.master/archive/master-%{version}.tar.gz
# ops4j-master package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: sonatype-oss-parent
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
Maven parent POM for all OPS4J Maven projects.

%prep
%setup -q -n %{oname}-master-%{version}
%pom_remove_plugin :retrotranslator-maven-plugin
%pom_remove_plugin :versions-maven-plugin

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%changelog
* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- update to 3.2.0

* Mon Nov 05 2012 gil cattaneo <puntogil@libero.it> 3.1.0-1
- initial rpm